Debian Bug report logs - #146207
aptitude: in command-line mode ignores hold set by dpkg --set-selections

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Faheem Mitha <faheem@email.unc.edu>

Date: Wed, 8 May 2002 00:03:01 UTC

Severity: important

Tags: confirmed, help

Merged with 137771, 161810, 174091, 199887, 220794, 277719, 453702, 532189, 683099, 692017, 729761

Found in versions 0.2.11.1-3, aptitude/0.4.11.11-1, aptitude/0.6.8-1, aptitude/0.6.4-1.2, 0.2.10-1, aptitude/0.4.4-4, aptitude/0.6.8.1-2, aptitude/0.2.15.8-1, 0.2.11.1-2, 0.2.13-2, aptitude/0.2.15.9-6, 0.2.13-1

Blocking fix for 706770: keep/hold packages uninstalled

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: in command-line mode ignores hold set by dpkg --set-selections
Date: Tue, 07 May 2002 19:54:09 -0400
Package: aptitude
Version: 0.2.11.1-2
Severity: normal


Chrestomanci:~# echo "vim hold" | dpkg --set-selections
Chrestomanci:~# dpkg --get-selections | grep vim
vim                                             hold
Chrestomanci:~# aptitude upgrade
Reading Package Lists... Done
Building Dependency Tree
Reading extended state information... Done
The following packages have been kept back:
  apt-howto debian-policy links openafs-client
The following packages will be upgraded:
  vim
1 packages upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 3751kB of archives. After unpacking 1417kB will be used.
Do you want to continue? [Y/n/e/d/v/action/?]

**********************************************************************

Summary:

I have vim listed as held in the dpkg database, but "aptitude upgrade"
is still upgrading vim (btw, the flags for vim in aptitude are iu.)
So, aptitude in command line mode is not recogizing the hold set by
dpkg --set-selections.

                                                     Faheem.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux Chrestomanci 2.2.19pre17 #1 Tue Mar 13 22:37:59 EST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.2- 0.5.4           Advanced front-end for dpkg
ii  libc6                    2.2.5-4         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand
ii  libsigc++0               1.0.4-3         Type-safe Signal Framework for C++
ii  libstdc++2.10-glibc2.2   1:2.95.4-7      The GNU stdc++ library




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Paul Telford <pxt@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 146207@bugs.debian.org (full text, mbox):

From: Paul Telford <pxt@debian.org>
To: 312351@bugs.debian.org
Cc: 146207@bugs.debian.org
Subject: Re: Bug#312351: woody -> sarge: package on hold upgraded anyway
Date: Tue, 7 Jun 2005 10:05:15 -0700 (PDT)
On Tue, 7 Jun 2005, Bill Allombert wrote:

> > The release notes state:
> >   If you changed and recompiled a package locally, and didn't rename it or
> >   put an epoch in the version, you must put it on hold to prevent it from
> >   being upgraded.
...
> I think this is bug #146207.

Yikes.. been hanging around since 2002.  I think the release notes should
be updated.  Is there a workaround?  Does using "aptitude hold" put the
package *really* on hold?



--
Paul Telford | 1024D/431B38BA | pxt@debian.org | paul@droflet.net
       C903 0E85 9AF5 1B80 6A5F  F169 D7E9 4363 431B 38BA




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 146207@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Paul Telford <pxt@debian.org>, 146207@bugs.debian.org
Cc: 312351@bugs.debian.org
Subject: Re: Bug#146207: Bug#312351: woody -> sarge: package on hold upgraded anyway
Date: Tue, 7 Jun 2005 10:52:57 -0700
[Message part 1 (text/plain, inline)]
On Tuesday 07 June 2005 10:05 am, Paul Telford wrote:
> On Tue, 7 Jun 2005, Bill Allombert wrote:
> > > The release notes state:
> > >   If you changed and recompiled a package locally, and didn't rename it
> > > or put an epoch in the version, you must put it on hold to prevent it
> > > from being upgraded.
>
> ...
>
> > I think this is bug #146207.
>
> Yikes.. been hanging around since 2002.  I think the release notes should
> be updated.  Is there a workaround?  Does using "aptitude hold" put the
> package *really* on hold?

  "aptitude hold" should work.  aptitude's parsing of the dselect state has 
been buggy for a while, mainly because I don't use dselect much and the 
people who do use it don't seem interested in tracking bugs down and sending 
me a patch :P.

  I've done some work on this in experimental (i.e., for etch), but obviously 
that doesn't help woody -> sarge upgrades.

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|          "Next, consider a circle passing through infinity; that          |
|           is, a straight line.."                                          |
\--- Be like the kid in the movie!  Play chess! -- http://www.uschess.org --/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Zoran Dzelajlija <jelly@srce.hr>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #20 received at 146207@bugs.debian.org (full text, mbox):

From: Zoran Dzelajlija <jelly@srce.hr>
To: 146207@bugs.debian.org
Subject: aptitude: in command-line mode ignores hold set by dpkg --set-selections
Date: Thu, 26 Oct 2006 03:08:51 +0200
This is still present in current aptitude in etch.  It works both ways:
aptitude doesn't care about dpkg/dselect settings anyway, and running
aptitude hold/unhold doesn't change dselect database either.

# dpkg --get-selections | grep ^tin
tin						hold
# aptitude -s upgrade
[...]
The following packages will be upgraded:
[...] tetex-bin tetex-extra tex-common texinfo thunar tin [...]

# aptitude hold tin
[...]
# aptitude unhold tin
[...]
The following packages will be upgraded:
  tin 
[...]
# dpkg --get-selections | grep ^tin
tin                                             hold

Regards,
Zoran



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Olaf Zaplinski <o.zaplinski@broadnet.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #25 received at 146207@bugs.debian.org (full text, mbox):

From: Olaf Zaplinski <o.zaplinski@broadnet.de>
To: 146207@bugs.debian.org
Subject: aptitude: in command-line mode ignores hold set by dpkg --set-selections
Date: Wed, 28 Mar 2007 08:20:09 +0200
Anything new here? This bug is almost 5 years old, and aptitude is still 
unusable... at least for dselect users like me. ;-)



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <bugs.debian.nospam@zorglub.s.bawue.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #30 received at 146207@bugs.debian.org (full text, mbox):

From: Eric Lavarde <bugs.debian.nospam@zorglub.s.bawue.de>
To: Debian Bug Tracking System <146207@bugs.debian.org>
Subject: aptitude: dist-upgrade ignores hold set by dpkg --set-selections
Date: Wed, 28 Mar 2007 14:49:29 +0200
Package: aptitude
Version: 0.4.4-4
Followup-For: Bug #146207


Hi,

it looks like aptitude upgrade is now considering the hold flag set with dpkg,
but dist-upgrade is just ignoring it.

Thanks, Eric

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3 0.6.46.4-0.1 Advanced front-end for dpkg
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  libgcc1                     1:4.1.1-21   GCC support library
ii  libncursesw5                5.5-5        Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a          2.0.17-2     type-safe Signal Framework for C++
ii  libstdc++6                  4.1.1-21     The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.0-1      parse Debian changelogs and output

-- no debconf information



Forcibly Merged 137771 146207 161810 174091 220794 277719 453702. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 30 Aug 2008 03:21:02 GMT) Full text and rfc822 format available.

Forcibly Merged 137771 146207 161810 174091 199887 220794 277719 328616 453702. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 30 Aug 2008 03:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. (Mon, 24 Oct 2011 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johnathan Ritzi <jrdioko@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 24 Oct 2011 16:30:03 GMT) Full text and rfc822 format available.

Message #39 received at 146207@bugs.debian.org (full text, mbox):

From: Johnathan Ritzi <jrdioko@gmail.com>
To: 146207@bugs.debian.org
Date: Mon, 24 Oct 2011 09:23:50 -0700
[Message part 1 (text/plain, inline)]
Was this ever resolved? Is a "aptitude hold" honored by all other Debian
package utilities?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. (Mon, 31 Oct 2011 15:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to anatoly techtonik <techtonik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 31 Oct 2011 15:51:10 GMT) Full text and rfc822 format available.

Message #44 received at 146207@bugs.debian.org (full text, mbox):

From: anatoly techtonik <techtonik@gmail.com>
To: 146207@bugs.debian.org
Date: Mon, 31 Oct 2011 18:48:39 +0300
Why is it so hard to fix this, i.e. to teach aptitude update apt-get
structures for packages that aptitude puts on hold?

This inconsistency is already causing troubles with SCM tools.
http://trac.mcs.anl.gov/projects/bcfg2/ticket/1066




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. (Mon, 31 Oct 2011 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 31 Oct 2011 16:27:06 GMT) Full text and rfc822 format available.

Message #49 received at 146207@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: anatoly techtonik <techtonik@gmail.com>, 146207@bugs.debian.org
Subject: Re: Bug#146207:
Date: Mon, 31 Oct 2011 21:54:28 +0530
[Message part 1 (text/plain, inline)]
Quoting anatoly techtonik (techtonik@gmail.com):
> Why is it so hard to fix this, i.e. to teach aptitude update apt-get
> structures for packages that aptitude puts on hold?
> 
> This inconsistency is already causing troubles with SCM tools.
> http://trac.mcs.anl.gov/projects/bcfg2/ticket/1066
> 
> 

Anybody is free to send a patch if this is "not so hard".

(please note that I am *not* the aptitude maintainer)

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. (Mon, 31 Oct 2011 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anatoly techtonik <techtonik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 31 Oct 2011 16:39:03 GMT) Full text and rfc822 format available.

Message #54 received at 146207@bugs.debian.org (full text, mbox):

From: anatoly techtonik <techtonik@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 146207@bugs.debian.org
Subject: Re: Bug#146207:
Date: Mon, 31 Oct 2011 19:37:18 +0300
On Mon, Oct 31, 2011 at 7:24 PM, Christian PERRIER <bubulle@debian.org> wrote:
> Quoting anatoly techtonik (techtonik@gmail.com):
>> Why is it so hard to fix this, i.e. to teach aptitude update apt-get
>> structures for packages that aptitude puts on hold?
>>
>> This inconsistency is already causing troubles with SCM tools.
>> http://trac.mcs.anl.gov/projects/bcfg2/ticket/1066
>>
>>
>
> Anybody is free to send a patch if this is "not so hard".
>
> (please note that I am *not* the aptitude maintainer)

Ok, I'll ask it the other way. Can anybody, who investigated the
problem tell - why is it so hard to fix this?

P.S. I can send patches in Python, not C++
--
anatoly t.




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#146207; Package aptitude. (Mon, 31 Oct 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johnathan Ritzi <jrdioko@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 31 Oct 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #59 received at 146207@bugs.debian.org (full text, mbox):

From: Johnathan Ritzi <jrdioko@gmail.com>
To: 146207@bugs.debian.org
Subject: Re: Bug#146207:
Date: Mon, 31 Oct 2011 09:45:39 -0700
[Message part 1 (text/plain, inline)]
And it would be great if someone provided a workaround in the meantime
(what currently needs to be done to hold a package in _all_ Debian package
management utilities)?

On Mon, Oct 31, 2011 at 9:37 AM, anatoly techtonik <techtonik@gmail.com>wrote:

> On Mon, Oct 31, 2011 at 7:24 PM, Christian PERRIER <bubulle@debian.org>
> wrote:
> > Quoting anatoly techtonik (techtonik@gmail.com):
> >> Why is it so hard to fix this, i.e. to teach aptitude update apt-get
> >> structures for packages that aptitude puts on hold?
> >>
> >> This inconsistency is already causing troubles with SCM tools.
> >> http://trac.mcs.anl.gov/projects/bcfg2/ticket/1066
> >>
> >>
> >
> > Anybody is free to send a patch if this is "not so hard".
> >
> > (please note that I am *not* the aptitude maintainer)
>
> Ok, I'll ask it the other way. Can anybody, who investigated the
> problem tell - why is it so hard to fix this?
>
> P.S. I can send patches in Python, not C++
> --
> anatoly t.
>
>
>
> --
> To unsubscribe, send mail to 146207-unsubscribe@bugs.debian.org.
>
[Message part 2 (text/html, inline)]

Removed tag(s) sid. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Tue, 15 May 2012 08:57:15 GMT) Full text and rfc822 format available.

Marked as found in versions aptitude/0.4.11.11-1, aptitude/0.6.4-1.2, and aptitude/0.2.15.8-1; no longer marked as found in versions 0.2.15.8-1. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Tue, 15 May 2012 09:18:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Mon, 02 Jul 2012 05:57:14 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Sat, 15 Sep 2012 15:18:03 GMT) Full text and rfc822 format available.

Removed tag(s) confirmed and help. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 11:51:05 GMT) Full text and rfc822 format available.

Added indication that 146207 affects release-notes, #, fix, holds, then, update, section, and 4.2.3 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 11:51:06 GMT) Full text and rfc822 format available.

Added tag(s) confirmed and help. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:15:05 GMT) Full text and rfc822 format available.

Removed indication that 146207 affects 4.2.3, holds, fix, then, #, section, and update Added indication that 146207 affects release-notes Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:15:06 GMT) Full text and rfc822 format available.

Removed indication that bug 146207 blocks 431869 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:15:07 GMT) Full text and rfc822 format available.

Disconnected #328616 from all other report(s). Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:15:08 GMT) Full text and rfc822 format available.

Marked as found in versions aptitude/0.6.8-1. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:21:10 GMT) Full text and rfc822 format available.

Merged 137771 146207 161810 174091 199887 220794 277719 453702 532189 683099 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 05 Oct 2012 12:21:12 GMT) Full text and rfc822 format available.

Marked as found in versions aptitude/0.6.8.1-2. Request was from Axel Beckert <abe@debian.org> to 692017-submit@bugs.debian.org. (Thu, 01 Nov 2012 11:03:03 GMT) Full text and rfc822 format available.

Merged 137771 146207 161810 174091 199887 220794 277719 453702 532189 683099 692017 Request was from Axel Beckert <abe@debian.org> to 692017-submit@bugs.debian.org. (Thu, 01 Nov 2012 11:03:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Sat, 08 Dec 2012 06:00:04 GMT) Full text and rfc822 format available.

Added indication that bug 146207 blocks 706770 Request was from Daniel Hartwig <mandyke@gmail.com> to 706770-submit@bugs.debian.org. (Sat, 04 May 2013 23:51:10 GMT) Full text and rfc822 format available.

Merged 137771 146207 161810 174091 199887 220794 277719 453702 532189 683099 692017 729761 Request was from Matthias Klumpp <mak@debian.org> to control@bugs.debian.org. (Thu, 21 Nov 2013 00:06:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:57:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.